%%%-------------------------------------------------------------------
%%% @author zmh
%%% @doc
%%%
%%% @end
%%%-------------------------------------------------------------------


%% 活动主流程
-define(STAGE_IDLE,        0).        % 关闭
-define(STAGE_READY,       1).        % 准备期
-define(STAGE_GLAMOUR,     2).        % 活动期间
-define(STAGE_CLOSE,       3).        % 结束期

%%子流程
-define(S_PRESHOW,1). %%赛前展示
-define(S_LIKE,2).    %%投票
-define(S_RUN,3).     %%跑马
-define(S_RESHOW,4).  %%结果展示

-define(CLOSE_NORMAL,1).  %%正常结束
-define(CLOSE_NUMLESS,2). %%人数不足 提前结束

-define(GLAMOUR_FOCUSERS,glamour_all_focuser).
-define(GLAMOUR_LOGS,glamour_logs).
-define(GLAMOUR_RANKS,glamour_ranks).

%%时间管理
-record(glamour_time_mgr, {
    state = 0,     %%0闲置1准备2活动3已结束
    etime = 0,     %%截止有效
    substate = 0,  %%子状态 在海选期和排位期有效  1休息期 排位赛兼职竞猜
    subetime = 0,  %%子状态截止有效
    ref      = 0,
    sub_ref  = 0,
    round    = 0   %%回合
}).

%%跑马管理
-record(glamour_mgr, {
     runers = {},       %%选手 round=>runers
     ref = 0,           %%跑马时钟
     click = 0,         %%时间因子(计算次数)
     swith = 0,         %%开关 轮询期间1
     round = 0,         %%当前回合
     msg_ref = 0
}).

%%投注管理
-record(glamour_focus_mgr, {
     runers = {},   %%选手 round=>runers
     round = 0      %%当前回合
}).

%%选手数据
-record(glamour_runer, {
    id = 0,
    figure = 0,
    rank  = 0,    %%排序
    buffs = [],   %%挂载buff
    btime = 0,    %%buff cd
    stype = 1,    %%时间因子类型
    speed = 0,    %%初始速度
    tspeed = 0,   %%临时最新速度
    trip  = 0,    %%已完成路程
    stime = 0,    %%起跑时间
    etime = 0,    %%跑完时间
    trust = 0     %%信任值 热度
}).

%%投注人数据
-record(glamour_focuser, {
    rid = 0,    %%玩家ID
    money = 0,  %%持有资金
    total = 0,  %%总计持有资金
    figure = [],
    rank  = 0,  %%资金排序
    items = [], %%免费的
    buys  = [], %%自己买的
    focus = []  %%投注情况
    ,use_free_items = 0  %% 使用免费道具次数(TA数据记录)
    ,use_buy_items  = 0  %% 使用付费道具次数(TA数据记录)
    ,focus_times    = 0  %% 投注次数(TA数据记录)
}).


%%气氛道具
-record(glamour_item, {
    item = 0,
    type = 0,
    name = "",
    effect = 0,
    rate = 0,
    price = [],
    msgs = []
}).

-record(glamour_log, {
    opty = 0,
    rid  = 0,
    vip  = 0,
    sub_vip = 0,
    name = "",
    aim  = "",
    value = 0,
    time = 0
}).
